
s = require 'ripples'

function love.load()
	wd, ht = 800, 600
	love.window.setMode( wd, ht, {borderless=true} )
	gt = 0
	love.window.setTitle( 'Ripples' )
	screen = { wd, ht}
	love.mouse.setPosition( wd/2, ht/2 )
	s.effect:send( 'screen', screen )
	end

function love.update( dt )
	gt = gt + (math.pi/16) * dt
	s.effect:send( 'time', gt )
	mx, my = love.mouse.getPosition()
	s.effect:send( 'mouse', { mx ,( ht-my) })
	end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setShader( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setShader()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
